[CentOS] perl bless/overload performance problem

Amos Shapira amos.shapira at gmail.com
Thu Jul 17 12:09:44 UTC 2008


Hello,

How do people here handle the situation mentioned in RH bug #379791
(https://bugzilla.redhat.com/show_bug.cgi?id=379791)?

We have a web site built using Perl Catalyst which warns about this
issue. So far we managed to avoid this by not upgrading the perl
package handed to us as part of an old Xen image based on CentOS 5.0,
but we are now building the Xen guests without this image and
generally want to keep our package up to date for security.

So - is there another package available to install instead of the
CentOS 5.2 version?

I tried before to compile the Fedora 9 package from source but despite
it being claimed to have it patched it still demonstrated the buggy
behaviour (using the sample test code mentioned in the bug report).

Thanks,

--Amos



More information about the CentOS mailing list